## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionInArray

### Workflow::ezcWorkflowConditionInArray

### Class ezcWorkflowConditionInArray

Condition that checks if a value is in an array.

Typically used together with ezcWorkflowConditionVariable to use the condition on a workflow variable.

1. <?php
2. $condition=new ezcWorkflowConditionVariable (
3. 'variable name',
4. new ezcWorkflowConditionInArray (array(...) )
5. );
6. ?>

Source for this file: /Workflow/src/conditions/in_array.php

    ezcWorkflowConditionComparison
       |
       --ezcWorkflowConditionInArray

Version: | //autogen//

### Member Variables

protected mixed | `$operator = 'in array'` Textual representation of the comparison operator.

### Inherited Member Variables

From ezcWorkflowConditionComparison
protected | `ezcWorkflowConditionComparison::$value`

### Inherited Methods

From ezcWorkflowConditionComparison
public ezcWorkflowConditionComparison | `ezcWorkflowConditionComparison::__construct()` Constructs a new comparison condition.

Documentation generated by phpDocumentor 1.4.3